Page MenuHomePhabricator

Show work board column names as part of task basic information in query results and reference link popups
Closed, WontfixPublic

Description

I think where a task is displayed in a "box" in the UI, it displays ID, title, priority (through color-coding) and associated project(s). For completeness, if the task is in a work board, it should show the column name as well.

Since a task might be in multiple projects, one way of doing this would be to replace the "project" bubbles by "project {SEPARATOR} column" bubbles.

Event Timeline

swisspol created this task.May 18 2014, 5:49 PM
swisspol raised the priority of this task from to Needs Triage.
swisspol updated the task description. (Show Details)
swisspol added a subscriber: swisspol.

I guess column name should also be reflected in the popup that appears when mouse hovering on a task link if that's not already the case.

epriestley edited this Maniphest Task.May 18 2014, 6:09 PM

After T5090, I'd like to try to make these elements tall enough to include the icons, which I think will help reinforce differentiation between project types. We could look at adding columns at the same time.

However, it would be nice to do this without significantly impacting the amount of vertical space a task item requires.

(On mobile, we could hide the columns; I'm not sure if seeing more tasks or seeing more columns is likely to be more important. See also T3574.)

We also might need to move the column relationship off of Edges infrastructure -- it's an odd three-point relationship (task, project, column) and I think some of the queries end up doing a lot of work right now.

T4807 may motivate switching off edges, too, since it implies we need new order storage for the "don't arrange by anything" view.

qgil added a subscriber: qgil.May 18 2014, 7:24 PM
swisspol renamed this task from Show work board column names as part of task basic information to Show work board column names as part of task basic information in query results and reference link popups.May 19 2014, 1:48 AM
btrahan triaged this task as Low priority.May 23 2014, 5:41 PM
btrahan added projects: Workboards, Maniphest.
btrahan added a subscriber: btrahan.
chad raised the priority of this task from Low to Normal.Jun 2 2014, 9:53 PM
chad moved this task to Future Work on the Workboards board.
chad moved this task from Future Work to Backlog on the Workboards board.
epriestley edited this Maniphest Task.Jun 27 2014, 8:17 PM

it would also be great if task's board column name could be used in Herald rule.

We don't plan to support that. See T5474.

epriestley moved this task from Backlog to Workboards v2 on the Workboards board.Feb 11 2016, 5:41 PM
kebe added a subscriber: kebe.May 23 2016, 6:01 PM
epriestley closed this task as Wontfix.Feb 13 2018, 11:39 PM
epriestley claimed this task.

I don't currently plan to do this. At a bare minimum, T5474 may moot it.